Security Enhanced Linux Reference Policy

# Layer: services

## Module: zarafa

Interfaces Templates

### Description:

Zarafa collaboration platform.

### Interfaces:

zarafa_admin( domain , role )

##### Summary

All of the rules required to administrate an zarafa environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

zarafa_domtrans_deliver( domain )

##### Summary

Execute a domain transition to run zarafa deliver.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

zarafa_domtrans_server( domain )

##### Summary

Execute a domain transition to run zarafa server.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

zarafa_search_config( domain )

##### Summary

search zarafa configuration directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

zarafa_stream_connect_server( domain )

##### Summary

Connect to zarafa server with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

zarafa_domain_template( domain_prefix )

##### Summary

The template to define a zarafa domain.

##### Parameters

Parameter: | Description:
--- | ---
domain_prefix | Domain prefix to be used.

Return